local coroutineEntity = monocle.Entity()

local vector2 = require("#microsoft.xna.framework.vector2")

function onTalk(room)
disableMovement()
if not getFlag("Ch4_lunarDeadComputerARGalt") then

if getFlag("argFourthCutsceneWatched") then
 say("TheBigArgD2")
end
if not getFlag("argFourthCutsceneWatched") then

if not getFlag("argPowerOn4") then
 say("TheBigArgFinal")
end
if getFlag("argPowerOn4") then
 wait(0.5)
 celeste.Audio.Play("event:/new_content/game/10_farewell/glitch_short")
 celeste.Audio.Play("event:/new_content/game/10_farewell/cafe_computer_on")
 coroutine.yield(getLevel():ZoomTo(vector2(164, 109), 1.5, 0.5))
 wait(0.5)
 say("TheBigArgD1")
 celeste.Audio.Play("event:/game/general/seed_complete_berry")
 wait(0.5)
 setFlag("argFaceAppear4", true)
 wait(1)
 say("TheBigArgD1b")
 setFlag("argFourthCutsceneWatched", true)
 setFlag("argFaceAppear4", false)
 setFlag("argPowerOff4", true)
 celeste.Audio.Play("event:/game/03_resort/suite_bad_intro")
 wait(1)
end

end

end
coroutine.yield(engine.Scene:ZoomBack(0.5))
enableMovement()
end

function onEnd(room, wasSkipped)
if getFlag("argPowerOn4") then
 setFlag("argFourthCutsceneWatched", true)
end
enableMovement()
getLevel():ResetZoom()
end